Subject: Re: [bug#30809] [PATCH 2/2] services: Add Gitolite.

From: Nils Gillmann <[email-masked]>
Date: Tue, 25 Sep 2018 18:01:46 +0000

Christopher Baines transcribed 1.8K bytes:
> 
> Clément Lassieur <[email-masked]> writes:
> 
> > Hello Christopher,
> >
> > I often get:
> >
> >     guix: gitolite: installing /gnu/store/hraw5zr6lp2w4v6czhvf1gp6phzxmzmj-gitolite.rc
> >     fatal: Unable to create '/var/lib/git/repositories/gitolite-admin.git/./index.lock': File exists.
> >
> > While upgrading my gitolite service.  Did you encounter it?  Do you know
> > how to fix it?
> 
> I don't think I've seen this. It could be if something has gone wrong
> with git, it's left the lockfile around. Perhaps before you next
> reconfigure, check if the lockfile exists, and then assuming git isn't
> running, delete it.
> 
> Do say if it keeps happening though.

Hi Christopher,

until end of october Taler needs to migrate servers, and I am
responsible to move it to GuixSD. Gitolite is a critical and
essential part of the infrastructure.

Do you think the gitolite service is (mostly) ready to be deployed or
have you encountered any bugs with it?

Thanks for your work on it!